\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::side_of_bounded_sphere()
Global Kernel Functions

##

See Also
  `CGAL::side_of_oriented_sphere()`

## Functions
template<typename Kernel >
Bounded_side | CGAL::side_of_bounded_sphere (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const CGAL::Point_3< Kernel > &s, const CGAL::Point_3< Kernel > &t)
| returns the relative position of point `t` to the sphere defined by `p`, `q`, `r`, and `s`. More...
template<typename Kernel >
Bounded_side | CGAL::side_of_bounded_sphere (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r, const CGAL::Point_3< Kernel > &t)
| returns the position of the point `t` relative to the sphere passing through `p`, `q`, and `r` and whose center is in the plane defined by these three points.
template<typename Kernel >
Bounded_side | CGAL::side_of_bounded_sphere (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &t)
| returns the position of the point `t` relative to the sphere that has `pq` as its diameter.

## Function Documentation

template<typename Kernel >

Bounded_side CGAL::side_of_bounded_sphere | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r,
|  | const CGAL::Point_3< Kernel > & | s,
|  | const CGAL::Point_3< Kernel > & | t
| ) |  |

returns the relative position of point `t` to the sphere defined by `p`, `q`, `r`, and `s`.

The order of the points `p`, `q`, `r`, and `s` does not matter.

Precondition
  `p, q, r` and `s` are not coplanar.

`#include <CGAL/Kernel/global_functions.h>`